#ifndef TEST_UTF8_H
#define TEST_UTF8_H

/*!
  \file
  \brief Utf8.cpp のテスト

  \author Satofumi KAMIMURA

  $Id: TestUtf8.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>



//! Utf8 のテストクラス
class TestUtf8 : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(TestUtf8);
    CPPUNIT_TEST(emptyTest);
    CPPUNIT_TEST(sizeTest);
    CPPUNIT_TEST(chTest);
    CPPUNIT_TEST(c_strTest);
    CPPUNIT_TEST(pop_backTest);
    CPPUNIT_TEST(substrTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void emptyTest(void);
    void sizeTest(void);
    void chTest(void);
    void c_strTest(void);
    void pop_backTest(void);
    void substrTest(void);
};

#endif /* !TEST_UTF8_H */
